package com.bonus.sharedstation;

import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;

/**
 * FileName: initHeader
 *
 * @author tqzhang
 * Date: 2025/2/19 上午9:46
 * Description:
 */
public class InitHeader {

    private String token = "Bearer " +
                    "eyJhbGciOiJIUzUxMiJ9.eyJ1c2VyX2lkIjozNzkxNjI4NzczMjEyODU2MzIsInVzZXJfa2V5IjoiYmY0ZjNkYWUtY2MwMi00N2ZmLWE1OTctNzlhNDk3ZTY2OWY5IiwidXNlcm5hbWUiOiJkOGFjMTU3M2RlZWI3MjM5NGFkM2NlYjEwMzU2ZThhNCJ9.mIhJhdXFwb7x99vSoCFteZQ7TeCCBqM5plV_4G8LHQkkX7q3CtLyypQ6-3pzxDxqr222sxmmkcLEHrPhKG3cdw";

    public MultiValueMap<String, String> getHeader() {
        // 初始化 HTTP 请求头
        MultiValueMap<String, String> headerMap = new LinkedMultiValueMap<>();
        headerMap.add("Authorization", token);
        headerMap.add("Accept-Language", "zh-CN,zh;q=0.8,zh-TW;q=0.7,zh-HK;q=0.5,en-US;q=0.3,en;q=0.2");
        headerMap.add("Accept", "application/json, text/plain, */*");
        headerMap.add("Connection", "keep-alive");

        return headerMap;
    }
}
